import { ChartMeasure, Property } from '@metad/ocap-core';
import { IDataset, IVisualMap, SeriesComponentType } from './types';
export declare function getColorLightnessVisualMap(measure: ChartMeasure, property: Property, dataset: IDataset['dataset'] | IDataset['dataset'][], visualMaps?: IVisualMap[]): {
    dimension: string | number;
    min: any;
    max: any;
    text: string[];
};
export declare function getMeasurePaletteVisualMap(measure: SeriesComponentType, data: any[]): {
    show: boolean;
    type: string;
    text: string[];
    min: any;
    max: any;
    inRange: {
        color: any[];
    };
};
